Subject: RE: bug#10034: 24.0.91; max-specpdl-size error

From: "Drew Adams" <[email-masked]>
Date: Mon, 14 Nov 2011 06:38:19 -0800

> (BTW, I noticed that after sending a bug report and successfully
> sending with `C-c C-c', the Bug Report Help buffer created when
> invoking `(report-emacs-bug)' at least from the menu-bar, remains
> visible as another (split) window.  Is that intentional?)

Dunno whether it is related, but:

I have the bug-report window use a separate frame (special-display) - likewise,
the bug-report help buffer.  The help buffer's frame remains even after I've
sent the bug report.

That's something I can tolerate.  What's worse is that the frame used to show
the report buffer now iconifies (bad).  It used to disappear (be deleted) after
I hit C-c C-c to send the bug report.  This annoyance is new with Emacs 24.

There is obviously no reason to keep the report buffer (either of them,
actually) around in any visible way - e.g. as an icon.  After the dialog of
sending a bug report, these frames should be deleted.  If someone really wants
to revisit (display) the report buffer (but why?), well, that's what we have C-x
C-b and C-x b for.  Bad UI, IMHO.